<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_8cca4dd34e" . "20c5344bb2a" . "30f2533c4e5" => base64_decode("ZnVs" . "bF9u" . "YW1l"), "_28c85ce81fee653298026289" . "3b6f2425" => base64_decode("dXNlcm5" . "hbWU="), "user" . "_id" => base64_decode("dXNl" . "cl9p" . "ZA=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8cca4dd34e" . "20c5344bb2a" . "30f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_28c85ce81fee6532980262893b" . "6f2425"]);
    }
}